<%= form_with(model: community_survey, local: true, class: "form-container") do |form| %>
  <div class="form-content">
    <% if community_survey.errors.any? %>
      <div id="error_explanation" class="ui error message icon">
        <i class="close icon"></i>
        <i class="times circle icon"></i>
        <div class="content">
          <ul>
            <% community_survey.errors.full_messages.each do |message| %>
              <li><%= message %></li>
            <% end %>
          </ul>
        </div>
      </div>
    <% end %>
    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :vid, t('community_survey.vid_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :vid, disabled: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :vname, t('community_survey.vname_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :vname, autofocus: true, required: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :ctype,  t('community_survey.type_label'), required: true %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :ctype, '1' , required: true %> 
              <span class="text">
                <%= t('community_survey.type_main_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :ctype, '2' , required: true %> 
              <span class="text">
                <%= t('community_survey.type_sub_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group" id="ctype_subtype_main">
        <div class="form-group__label">
          <%= form.label :ctype,  t('community_survey.type_main_label'), required: true %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :subtype, '12' , required: true %> 
              <span class="text">
                <%= t('community_survey.subtype_main_unregistered_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :subtype, '11' , required: true %> 
              <span class="text">
                <%= t('community_survey.subtype_main_registered_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --inline" id="ctype_subtype_sub">
        <div class="form-group__label">
          <%= form.label :ctype,  t('community_survey.type_sub_label'), required: true %>
        </div>
        <div class="form-group__input-group">
          <div class="form-group__button">
            <div class="radio-group">
              <label class="radio-button">
                <%= form.radio_button :subtype, '22' , required: true %> 
                <span class="text">
                  <%= t('community_survey.subtype_sub_unregistered_label') %> 
                </span>
              </label>
              <label class="radio-button">
                <%= form.radio_button :subtype, '21' , required: true %> 
                <span class="text">
                  <%= t('community_survey.subtype_sub_registered_label') %> 
                </span>
              </label>
            </div>
          </div>
          <div class="form-group__input" id="mainvid">
            <% mainvid= (CommunitySurvey.where(ctype: 1).map(&:vname).uniq) %>
            <%= form.select(:mainvid, options_for_select(mainvid,community_survey.mainvid),
            { prompt: t('please_select_label') }, { class: 'ui selection dropdown'}) %>
          </div>
        </div>
      </div>
    </div>
    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :location, t('community_survey.location_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :location %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :moo, t('community_survey.moo_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :moo %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :soimain, t('community_survey.soimain_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :soimain %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :road, t('community_survey.road_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :road %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :addr_changwat_id, t('community_survey.changwat_label'), required: true %>
        </div>
        <div class="form-group__input">
          <% changwats = AddrChangwat.all.order(:label).map { |a| [a.label, a.id] } %>
          <%= form.select :addr_changwat_id, options_for_select(changwats, community_survey.addr_changwat_id), 
            { prompt: t('please_select_label') }, { class: 'ui selection dropdown required', data: { id: community_survey.vid }, required: true } %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :addr_amphur_id, t('community_survey.amphur_label'), required: true %>
        </div>
        <div class="form-group__input">
          <% if community_survey.addr_amphur_id || @addr_amphurs %>
            <% amphurs = @addr_amphurs.map { |a| [a.label, a.id] } %>
            <%= form.select :addr_amphur_id, options_for_select(amphurs, community_survey.addr_amphur_id),
              { prompt: t('please_select_label') }, { class: 'ui selection dropdown required', required: true } %>
          <% else %>
            <%= form.select :addr_amphur_id, {}, { include_blank: '-' }, { class: 'ui selection dropdown required', required: true } %>
          <% end %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :addr_tambon_id, t('community_survey.tambon_label'), required: true %>
        </div>
        <div class="form-group__input">
          <% if community_survey.addr_tambon_id || @addr_tambons %>
            <% tambons = @addr_tambons.map { |a| [a.label, a.id] } %>
            <%= form.select :addr_tambon_id, options_for_select(tambons, community_survey.addr_tambon_id),
              { prompt: t('please_select_label') }, { class: 'ui selection dropdown required', required: true } %>
          <% else %>
            <%= form.select :addr_tambon_id, {}, { include_blank: '-' }, { class: 'ui selection dropdown required', required: true } %>
          <% end %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --inline">
        <div class="form-group__label">
          <%= form.label :commustyle,  t('community_survey.commustyle_label'), required: true %>
        </div>
        <div class="form-group__input-group">
          <div class="form-group__input --inline">
            <label data-type="radio">
              <%= form.radio_button :commustyle, '1', required: true %>
              <span class="text">
                <%= t('community_survey.commustyle_edge_town_label') %>
              </span>
            </label>
          </div>
          <div class="form-group__input --inline">
            <label data-type="radio">
              <%= form.radio_button :commustyle, '2', required: true %>
              <span class="text">
                <%= t('community_survey.commustyle_crowded_label') %>
              </span>
            </label>
          </div>
          <div class="form-group__input --inline">
            <label data-type="radio">
              <%= form.radio_button :commustyle, '3', required: true %>
              <span class="text">
                <%= t('community_survey.commustyle_housing_estate_label') %>
              </span>
            </label>
          </div>
          <div class="form-group__input --inline">
            <label data-type="radio">
              <%= form.radio_button :commustyle, '4', required: true %>
              <span class="text">
                <%= t('community_survey.commustyle_town_label') %>
              </span>
            </label>
          </div>
          <div class="form-group__input --inline">
            <label data-type="radio">
              <%= form.radio_button :commustyle, '5', required: true %>
              <span class="text">
                <%= t('community_survey.commustyle_community_housing_label') %>
              </span>
            </label>
          </div>
          <div class="form-group__input --inline">
            <label data-type="radio">
              <%= form.radio_button :commustyle, '6', required: true %>
              <span class="text">
                <%= t('community_survey.commustyle_high_building_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :datesurvey, t('community_survey.datesurvey_label'), required: true %>
        </div>
        <div class="form-group__input ui input" id="datesurvey">
          <%= form.text_field :datesurvey, value: community_survey.datesurvey.to_date.strftime('%m-%d-%Y'), autocomplete: 'off', required: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :nhouse, t('community_survey.nhouse_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <%= form.number_field :nhouse, min: 0, required: true, max: 99999  %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :nfamily, t('community_survey.nfamily_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <%= form.number_field :nfamily, min: 0, required: true, max: 99999  %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :nperson, t('community_survey.nperson_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <%= form.number_field :nperson, min: 0, required: true, max: 99999  %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :waste, t('community_survey.waste_label') %> 
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :waste, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :waste, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :flood, t('community_survey.flood_label') %> 
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :flood, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :flood, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :dogs, t('community_survey.dog_label'), required: true %> 
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :dogs, '2', required: true %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :dogs, '1', required: true %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>  
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :environment, t('community_survey.environment_label') %>  
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :environment, '2' %>
              <span class="text">
                <%= t('not_safe_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :environment, '1' %>
              <span class="text">
                <%= t('safe_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :riskenvironment, t('community_survey.riskenvironment_label') %> 
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :riskenvironment, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :riskenvironment, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>
    
    <div class="form-wrapper --inline">
      <div class="form-group --inline" id="riskentype">
        <div class="form-group__label"><%= t('community_survey.riskenvironment_detail_label') %></div>
        <div class="form-group__input-group">
          <div class="form-group__input --fixed-width">
            <label data-type="checkbox">
              <%= form.check_box :riskentype11, {}, '11', nil %>
              <span class="text">
                <%= t('community_survey.riskentype11_label') %> 
              </span>
            </label>
          </div>
          <div class="form-group__input --fixed-width">
            <label data-type="checkbox">
              <%= form.check_box :riskentype12, {}, '12', nil %>
              <span class="text">
                <%= t('community_survey.riskentype12_label') %> 
              </span>
            </label>
          </div>
          <div class="form-group__input --fixed-width">
            <label data-type="checkbox">
              <%= form.check_box :riskentype13, {}, '13', nil %>
              <span class="text">
                <%= t('community_survey.riskentype13_label') %> 
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>
    <div class="form-title"><%= t('community_survey.community_benefits_label') %></div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nclinic, t('community_survey.nclinic_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label= "<%= t('venue') %>" >
          <%= form.number_field :nclinic, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :ndrugstore, t('community_survey.ndrugstore_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :ndrugstore, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :npchc, t('community_survey.npchc_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :npchc, min: 0, max: 99999 %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :ncompha, t('community_survey.ncompha_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :ncompha, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :ngovernm, t('community_survey.ngovernm_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :ngovernm, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :ntemple, t('community_survey.ntemple_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :ntemple, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :npschool, t('community_survey.npschool_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :npschool, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nsschool, t('community_survey.nsschool_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nsschool, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :ntschool, t('community_survey.ntschool_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :ntschool, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nuniversity, t('community_survey.nuniversity_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nuniversity, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nhospital, t('community_survey.nhospital_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nhospital, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nchildcenter, t('community_survey.nchildcenter_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nchildcenter, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nj, t('community_survey.nj_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nj, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :npolice, t('community_survey.npolice_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :npolice, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nfire, t('community_survey.nfire_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nfire, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nembass, t('community_survey.nembass_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nembass, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nhealcare, t('community_survey.nhealcare_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nhealcare, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nfound, t('community_survey.nfound_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nfound, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nassoci, t('community_survey.nassoci_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nassoci, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nbroadcast, t('community_survey.nbroadcast_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nbroadcast, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nradio, t('community_survey.nradio_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nradio, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nsubhealcare, t('community_survey.nsubhealcare_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nsubhealcare, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nsports, t('community_survey.nsports_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nsports, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nursinghome, t('community_survey.nursinghome_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nursinghome, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nspa, t('community_survey.nspa_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nspa, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nother, t('community_survey.nother_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nother, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-title"><%= t('community_survey.sanitary_surveillanc_source_label') %></div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nabattoir, t('community_survey.nabattoir_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nabattoir, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :ngas, t('community_survey.ngas_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :ngas, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :ngame, t('community_survey.ngame_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :ngame, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nfixcar, t('community_survey.nfixcar_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nfixcar, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nfix, t('community_survey.nfix_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nfix, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :ngasst, t('community_survey.ngasst_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :ngasst, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nfactory, t('community_survey.nfactory_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nfactory, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :noilst, t('community_survey.noilst_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :noilst, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :npub, t('community_survey.npub_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :npub, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nware, t('community_survey.nware_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nware, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide --offset-right-2">
        <div class="form-group__label">
          <%= form.label :nfarm, t('community_survey.nfarm_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nfarm, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-title"> <%= t('community_survey.accommodation_label') %></div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nhabitat, t('community_survey.nhabitat_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nhabitat, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nhotel, t('community_survey.nhotel_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nhotel, min: 0, max: 99999  %>
        </div>
      </div>
    </div>

    <div class="form-title"><%= t('community_survey.community_or_market_label') %></div>



    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :ntotor, t('community_survey.ntotor_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :ntotor, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nvdo, t('community_survey.nvdo_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nvdo, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nlaundry, t('community_survey.nlaundry_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nlaundry, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nfooddrink, t('community_survey.nfooddrink_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nfooddrink, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :ngold, t('community_survey.ngold_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :ngold, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :ncompany, t('community_survey.ncompany_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :ncompany, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nbank, t('community_survey.nbank_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nbank, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nshop, t('community_survey.nshop_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nshop, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :ndepartment, t('community_survey.ndepartment_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :ndepartment, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :noffice, t('community_survey.noffice_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :noffice, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nbook, t('community_survey.nbook_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nbook, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nsalon, t('community_survey.nsalon_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nsalon, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide --offset-right-2">
        <div class="form-group__label">
          <%= form.label :nmarket, t('community_survey.nmarket_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('venue') %>">
          <%= form.number_field :nmarket, min: 0, max: 99999  %>
        </div>
      </div>
    </div>
  </div>
  <div class="form-action">
    <%= link_to t(:cancel_label), community_surveys_path, class: "ui button" %>
    <%= form.submit t(:save_label), class: "ui button --submit" %>
  </div>
<% end %>

<%# <% content_for :additional_javascripts do %> 
  <%= javascript_pack_tag 'form/community_surveys' %>
<%# <% end %>
